{% macro header(additional_vars) -%}
{% from additional_vars["default_event_class"] + "/email.j2" import header_start %}{{ header_start(additional_vars) }}  {{ _('URL') }}
{%- endmacro %}

{% macro row(key, data, additional_vars) -%}
{% from additional_vars["default_event_class"] + "/email.j2" import row_start %}{{ row_start(key, data, additional_vars) }}  {% if data['source']['url'] %}{{ ', '.join((data['source']['url'] | unique | sort)[:1]) }}{% if data['source']['url'] | unique | list | length > 1 %}...{% endif %}{% else %}---{% endif %}
{%- endmacro %}
